Package com.google.android.exoplayer2.ext.vp9

## Class VpxLibrary

- java.lang.Object
- - com.google.android.exoplayer2.ext.vp9.VpxLibrary

-     public final class VpxLibrary
      extends Object

  Configures and queries the underlying native library.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getBuildConfig()` | Returns the configuration string with which the underlying library was built if available, or null otherwise.
    `static String` | `getVersion()` | Returns the version of the underlying library if available, or null otherwise.
    `static boolean` | `isAvailable()` | Returns whether the underlying library is available, loading it if necessary.
    `static boolean` | `isHighBitDepthSupported()` | Returns true if the underlying libvpx library supports high bit depth.
    `static void` | `setLibraries​(@com.google.android.exoplayer2.C.CryptoType int cryptoType, String... libraries)` | Override the names of the Vpx native libraries.
    `static boolean` | `supportsCryptoType​(@com.google.android.exoplayer2.C.CryptoType int cryptoType)` | Returns whether the library supports the given `C.CryptoType`.
    `static boolean` | `vpxIsSecureDecodeSupported()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setLibraries

          public static void setLibraries​(@com.google.android.exoplayer2.C.CryptoType int cryptoType,
                                          String... libraries)

      Override the names of the Vpx native libraries. If an application wishes to call this method, it must do so before calling any other method defined by this class, and before instantiating a `LibvpxVideoRenderer` instance.
      Parameters:
        `cryptoType` - The `C.CryptoType` for which the decoder library supports decrypting protected content, or `C.CRYPTO_TYPE_UNSUPPORTED` if the library does not support decryption.
        `libraries` - The names of the Vpx native libraries.

    - #### isAvailable

          public static boolean isAvailable()

      Returns whether the underlying library is available, loading it if necessary.

    - #### getVersion

          @Nullable
          public static String getVersion()

      Returns the version of the underlying library if available, or null otherwise.

    - #### getBuildConfig

          @Nullable
          public static String getBuildConfig()

      Returns the configuration string with which the underlying library was built if available, or null otherwise.

    - #### isHighBitDepthSupported

          public static boolean isHighBitDepthSupported()

      Returns true if the underlying libvpx library supports high bit depth.

    - #### supportsCryptoType

          public static boolean supportsCryptoType​(@com.google.android.exoplayer2.C.CryptoType int cryptoType)

      Returns whether the library supports the given `C.CryptoType`.

    - #### vpxIsSecureDecodeSupported

          public static boolean vpxIsSecureDecodeSupported()